#version 130

in vec3 vertex;
in vec3 normal;
uniform vec3 color;

uniform mat4 projectionMatrix;
uniform mat4 modelMatrix;
uniform mat4 viewMatrix;

out vec3 theColor;
void main() { 

	mat4 mvpMatrix=projectionMatrix*viewMatrix*modelMatrix;
	
    gl_Position = mvpMatrix*vec4(vertex,1.0);
	theColor = color;
}
