#version 130

in vec3 vertex;
in vec3 normal;
in vec3 inpnt1;
in vec3 inpnt2;
in vec3 inctrl1;
in vec3 inctrl2;
uniform vec4 color;

uniform mat4 projectionMatrix;
uniform mat4 modelMatrix;
uniform mat4 viewMatrix;
const vec3 lightDir = vec3(-0.5,1.0,1.0);

out vec4 theColor;
out vec4 fpos;
void main() { 

	mat4 mvpMatrix=projectionMatrix*viewMatrix*modelMatrix;
	
    //gl_Position = mvpMatrix*vec4(vertex,1.0);
     gl_Position=mvpMatrix*vec4(vertex,1.0);
   
	theColor = color;
	
	
	  vec4 p1=mvpMatrix*vec4(inpnt1, 1.0);
  	  vec4 p2=mvpMatrix*vec4(inpnt2, 1.0);
      vec4 c1=mvpMatrix*vec4(inctrl1, 1.0);
      vec4 c2=mvpMatrix*vec4(inctrl2, 1.0);
	
	  c1-=p1;
	  c2-=p1;
	  p2-=p1;

	  if (sign(p2.x*c1.y - p2.y*c1.x) == sign(p2.x*c2.y - p2.y*c2.x))
	  {
	    gl_Position=mvpMatrix*vec4(vertex,1.0);
	  }
	  else
	  {
	    gl_Position=vec4(0, 0, 0, 0);
	    theColor = vec4(0,0,0,0);
	  }  
	    
	  fpos = gl_Position;
	
}
